Skip to content

API Endpoint Reference (1.0)

Tenovos offers a REST API for partner and customer integrations. This API provides a RESTful endpoint, token-based authorization, HTTP methods for operations, and JSON-formatted payloads. Use this API to incorporate Tenovos functionality into your own application.

This API is up-versioned when a breaking change is introduced such as

  • a change in the format of the response data for one or more calls
  • a change in the request or response type (i.e. changing an integer to a float)
  • removing any part of the API.

This API is not up-versioned for non-breaking changes such as

  • new endpoints
  • new response parameters
  • new optional request parameters
Download OpenAPI description
Languages
Servers
https://enterprise.services.tenovos.io/content-store-v1
https://enterprise-2.services.tenovos.io/content-store-v1
https://enterprise3.services.tenovos.io/content-store-v1
https://enterprise-4.services.tenovos.io/content-store-v1

Action Operations

Invoke the Action API to retrieve information about invoked Actions.

Operations

Asset Operations

Invoke the Asset API to create, retrieve, manipulate, and share Assets. This API also provides operations to manage Asset relationships and download Asset content.

Operations

Authentication Operations

Invoke the Authentication API to generate, refresh, and revoke access tokens. An access token is required to perform any authorized API operation.

Operations

Collection Operations

Invoke the Collection API to create, retrieve, edit, and delete Collections. Collections are used to group and catalog related Assets for quick access and consumption. Collections can be configured as:

  • private: Visible only to the user who created the Collection.
  • secured: Visible to shared users with permission.

When retrieving the Assets within a Collection, the requesting user will only see the Assets that the user has access to view. For example, a librarian may see all Assets within a Collection, but a general consumer user may only see a portion of those Assets, due to limited security access.

Operations

Customer Operations

Invoke the Customer API to retrieve Customer account profile information.

Operations

Metadata Operations

Invoke the Metadata API to retrieve Metadata Template to be applied to Assets during Asset creation. A Metadata Template defines a set of Metadata Attributes of varying types, including Text, Date, Controlled Vocabulary, Tabular, and Cascading Attributes. When a Metadata Template is assigned to a new Asset, the corresponding Metadata Attributes will be available for population on the Asset.

Operations

Search Operations

Search for Collections by Collection name.

Perform Asset searches using keywords or Attribute-specific search terms using the Keyword Search endpoint.

Perform a scan on all assets based on search criteria using a cursor to page through the entire result set of assets.

Operations

Scan assets by paging through an entire search result set.

Request

Provides the ability to scan a search result set of assets using a cursor to fetch the next set of results pages on the limit (page size) passed.

Security
ApiKeyAuth or BasicAuth
Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

Content-Typestringrequired
Value"application/json"
Bodyapplication/jsonrequired

The Request Body must be a JSON object

limitinteger

Number of results that will be returned for each page

Example: 100
searchTermArray of strings

List of search terms

Example: ["*"]
includeDeletedboolean

Flag to denote whether or not to include Deleted assets in the result

includeVersionsboolean

Flag to denote whether or not to include prior versions of the asset in the result

sortByArray of objects(Search_sortBy)
operationstring

Operation between search terms

Enum"AND""OR"
Example: "AND"
keywordSearchFieldstring

Specified Search Terms

cursorstring

Optional parameter on the first call. On subsequent calls requires the cursor value returned in the API response.

Example: "WzE2ODI5NTczMDM2NDgsMTY4Mjk1NzI2MzU5NSwxNjgyOTU3MjYzNTk1LCI3ZDkwZTkzMi01MmU4LTQ2NTEtYmQ3Ny03M2Y1OWFjMmY3YTMiLDEyMDI1OTA4NTEzMF0="
assetTypestring

Optional parameter that restricts search results to the asset type specified.

Example: "Base Product"
curl -i -X POST \
  https://enterprise.services.tenovos.io/content-store-v1/asset/scan \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'Content-Type: application/json' \
  -H 'X-API-Key: YOUR_API_KEY_HERE' \
  -d '{
    "limit": 100,
    "searchTerm": [
      "*"
    ],
    "includeDeleted": true,
    "includeVersions": true,
    "sortBy": [
      {
        "metadataDefinitionSearchField": "lastUpdatedEpoch",
        "order": "desc"
      }
    ],
    "operation": "AND",
    "keywordSearchField": "string",
    "cursor": "WzE2ODI5NTczMDM2NDgsMTY4Mjk1NzI2MzU5NSwxNjgyOTU3MjYzNTk1LCI3ZDkwZTkzMi01MmU4LTQ2NTEtYmQ3Ny03M2Y1OWFjMmY3YTMiLDEyMDI1OTA4NTEzMF0=",
    "assetType": "Base Product"
  }'

Responses

The Response Body will be a JSON object

Bodyapplication/json
hitCountinteger

Number of Assets return

Example: 1
cursorstring

Cursor returned after the first call to be passed on all subsequent calls to get the next page of results

Example: "WzE2ODI5NTczMDM2NDgsMTY4Mjk1NzI2MzU5NSwxNjgyOTU3MjYzNTk1LCI3ZDkwZTkzMi01MmU4LTQ2NTEtYmQ3Ny03M2Y1OWFjMmY3YTMiLDEyMDI1OTA4NTEzMF0="
resultArray of objects(Asset)

List of Asset objects

facetsArray of objects(SearchFacetList)
Response
application/json
{ "hitCount": 1, "cursor": "WzE2ODI5NTczMDM2NDgsMTY4Mjk1NzI2MzU5NSwxNjgyOTU3MjYzNTk1LCI3ZDkwZTkzMi01MmU4LTQ2NTEtYmQ3Ny03M2Y1OWFjMmY3YTMiLDEyMDI1OTA4NTEzMF0=", "result": [ { … } ], "facets": [ { … } ] }

Search for Collections. Return a list of Collections.

Request

Retrieve the collection list against the list of search terms/keywords. By default AND operation will be applied between the search terms.

By default 50 collections will return, you can also set search offset by setting from attribute, for example for first page set from to zero and after that you set 50, 100, 150 and so on.

Security
ApiKeyAuth or BasicAuth
Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

Content-Typestringrequired
Value"application/json"
Bodyapplication/jsonrequired

The Request Body must be a JSON-formatted list of collections which include the following properties.

frominteger

Search offset from which index search will start

Example: 0
searchTermArray of strings

List of search terms with AND operation be default

Example: ["*"]
includeDeletedboolean

Flag to denote whether or not to include Deleted assets in the result

includeVersionsboolean

Flag to denote whether or not to include prior versions of the asset in the result

sortByArray of objects(Search_sortBy)
operationstring

Operation between search terms

Enum"AND""OR"
Example: "AND"
aggregationsboolean

Boolean field to indicate whether or not to return filter menu aggregation counts for the search term. Set to false to significant improve speed and reduce payload size.

Example: false
keywordSearchFieldstring

Specified Search Target. Valid values are - filename, assetId, metadata, content

Enum"filename""assetId""metadata""content"
Example: "filename"
curl -i -X POST \
  https://enterprise.services.tenovos.io/content-store-v1/search/collection \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'Content-Type: application/json' \
  -H 'X-API-Key: YOUR_API_KEY_HERE' \
  -d '{
    "from": 0,
    "searchTerm": [
      "*"
    ],
    "includeDeleted": true,
    "includeVersions": true,
    "sortBy": [
      {
        "metadataDefinitionSearchField": "lastUpdatedEpoch",
        "order": "desc"
      }
    ],
    "operation": "AND",
    "aggregations": false,
    "keywordSearchField": "filename"
  }'

Responses

The Response Body must be a JSON object

Bodyapplication/jsonArray [
hitCountinteger

Number of Collections found

Example: 0
resultArray of objects(CollectionSearchItem)

List of Collection objects

facetsArray of objects
]
Response
application/json
[ { "hitCount": 0, "result": [ … ], "facets": [ … ] } ]

Perform a Keyword Search. Return a list of Assets.

Request

To Retrieve the Assets list there is two types of searches available,

Simple Keyword Search: Requesting user can get list of Assets against search terms/keywords list. For example ["keyword1", "keyword2"]

Facet Search: Requesting user can get list of Assets against Facet value list. For example ["Facet: facet_value"]

Targeted Search: Requesting user can target keyword searches against Filename, Asset ID, Metadata, or Content (extracted text from documents) by passing the optional property of keywordSearchField.

Requesting user can apply the combination of both searches and if there is no keyword/facet in requesting body it will apply wildcard search.

By default AND operation will be applied with search terms and/or facets.

By default, up to 50 Assets will return from the search.You can also set search offset by setting the from property. For example, for the first page, set from to zero. After that set from to 50, 100, 150, etc.

Security
ApiKeyAuth or BasicAuth
Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

Content-Typestringrequired
Value"application/json"
Bodyapplication/jsonrequired

The Request Body must be a JSON object

frominteger

Search offset from which index search will start

Example: 0
searchTermArray of strings

List of search terms with AND operation be default

Example: ["*"]
includeDeletedboolean

Flag to denote whether or not to include Deleted assets in the result

includeVersionsboolean

Flag to denote whether or not to include prior versions of the asset in the result

sortByArray of objects(Search_sortBy)
operationstring

Operation between search terms

Enum"AND""OR"
Example: "AND"
aggregationsboolean

Boolean field to indicate whether or not to return filter menu aggregation counts for the search term. Set to false to significant improve speed and reduce payload size.

Example: false
keywordSearchFieldstring

Specified Search Target. Valid values are - filename, assetId, metadata, content

Enum"filename""assetId""metadata""content"
Example: "filename"
curl -i -X POST \
  https://enterprise.services.tenovos.io/content-store-v1/search/keyword \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'Content-Type: application/json' \
  -H 'X-API-Key: YOUR_API_KEY_HERE' \
  -d '{
    "from": 0,
    "searchTerm": [
      "*"
    ],
    "includeDeleted": true,
    "includeVersions": true,
    "sortBy": [
      {
        "metadataDefinitionSearchField": "lastUpdatedEpoch",
        "order": "desc"
      }
    ],
    "operation": "AND",
    "aggregations": false,
    "keywordSearchField": "filename"
  }'

Responses

The Response Body will be a JSON object

Bodyapplication/json
hitCountinteger

Number of Assets return

Example: 1
resultArray of objects(Asset)

List of Asset objects

facetsArray of objects(SearchFacetList)
Response
application/json
{ "hitCount": 1, "result": [ { … } ], "facets": [ { … } ] }

Security Operations

Invoke the Metadata API to retrieve Security Template information to be applied to Assets during Asset creation or edit.

Operations

User Operations

Invoke the User API to retrieve User profile information.

Operations

Proof Operations

Operations

Cart Operations

Operations